header {
  .logo {
    padding: 40px;
    position: absolute;
    z-index: 10;

    a {
      color: #fff;
      font-size: 40px;
      font-family: $titleFont;
      font-weight: 700;
      text-shadow: 1px 2px 2px rgba(85, 85, 85, 0.637);
    }
  }

  .menu-btn {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    cursor: pointer;
    position: absolute;
    right: 40px;
    top: 40px;
    z-index: 10;

    span {
      position: relative;
      @include dimensions(55px, 4px);
      margin-top: 15px;
      border-radius: 2px;
      background-color: #fff;
      transition: all 0.5s ease-in-out;
      box-shadow: 1px 2px 2px 0px rgba(85, 85, 85, 0.637);

      &:first-child {
        margin-top: 0;
      }

      &:last-child {
        width: 38px;
      }

      &:nth-child(2) {
        width: 27px;
      }
    }

    &:hover {
      span {
        &:first-child,
        &:nth-child(2),
        &:last-child {
          width: 55px;
        }
      }
    }
  }

  nav {
    @include dimensions(100%, 100%);
    position: absolute;
    clip-path: circle(40px at 95% 60px);
    // clip-path: circle(1000px at 95% 60px);
    transition: clip-path 0.7s ease-in-out;
    z-index: 9;

    ul {
      @include displayFlex(flex-end, center);
      height: 100%;
      padding-right: 100px;
      position: absolute;
      width: 100%;
      transition: background 0.7s ease-in-out;

      li {
        opacity: 0;
        padding: 0 30px;
        transition: opacity 1s ease-in-out 0.5s, transform 1s ease-in-out 0.5s,
          margin-bottom 0.5s ease-in-out;
        text-shadow: 0.5s ease-in-out;

        h3 {
          font-family: $titleFont;
          font-size: 46px;
          text-transform: capitalize;
        }

        span {
          color: $textColor;
          font-size: 20px;
        }

        &:hover {
          margin-bottom: 20px;
          text-shadow: 0 4px 4px $backgroundColor;

          h3,
          span {
            color: $secondaryColor;
          }
        }

        &.active {
          margin-bottom: 0px;
          text-shadow: none;

          h3,
          span {
            color: $secondaryColor;
          }
        }

        &:first-child {
          transform: translateY(200%);
        }

        &:nth-child(4) {
          transform: translateY(500%);
        }

        &:nth-child(2) {
          transform: translateY(300%);
        }

        &:nth-child(3) {
          transform: translateY(400%);
        }
      }

      .social {
        position: absolute;
        bottom: 20px;
        right: 130px;
        transform: translateY(250%);
        transition: transform 0.7s ease-in-out 1s;

        img {
          margin: 0 10px;
          transition: transform 0.3s ease-in-out;

          &:hover {
            transform: translateY(-5px);
          }
        }
      }
    }
  }

  .nav-opened {
    clip-path: circle(1000px at 95% 60px);

    ul {
      background: lighten($backgroundColor, $amount: 10);

      li {
        opacity: 1;

        &:first-child,
        &:nth-child(4),
        &:nth-child(2),
        &:nth-child(3) {
          transform: translateY(0);
        }
      }

      .social {
        transform: translateY(0%);
      }
    }
  }

  .menu-btn.close {
    span {
      box-shadow: none;

      &:first-child,
      &:last-child {
        width: 55px;
        transform-origin: right;
        top: 0;
      }

      &:first-child {
        transform: rotate(-45deg);
      }

      &:last-child {
        transform: rotate(45deg);
      }

      &:nth-child(2) {
        opacity: 0;
      }
    }
  }
}

@media only screen and (max-width: 1024px) {
  nav {
    ul {
      justify-content: flex-start !important;
      align-items: center;
      flex-direction: column;
      padding: 300px 0 0 100px !important;
      text-align: center;
      // height: 100vh !important;

      li {
        margin: 30px 0;

        h3 {
          font-size: 30px !important;
        }

        span {
          font-size: 18px !important;
        }
      }

      .social {
        display: none;
        width: 100%;
        right: 0 !important;
      }
    }
  }
}

@media only screen and (max-width: 768px) {
  .logo {
    padding: 40px 10px !important;
  }

  .menu-btn {
    right: 10px !important;
    top: 30px !important;

    &:hover {
      span {
        &:first-child {
          width: 55px !important;
        }

        &:nth-child(2) {
          width: 27px !important;
        }

        &:last-child {
          width: 38px !important;
        }
      }
    }
  }

  .menu-btn.close {
    span {
      &:first-child,
      &:last-child {
        width: 55px !important;
      }
    }
  }

  nav {
    ul {
      justify-content: center !important;
      align-items: center;
      flex-direction: column;
      padding: 100px 0 !important;
      text-align: center;
      // height: 100vh !important;

      li {
        margin: 30px 0;

        h3 {
          font-size: 30px !important;
        }

        span {
          font-size: 18px !important;
        }
      }

      .social {
        display: none;
        width: 100%;
        right: 0 !important;
      }
    }
  }
}
